Subject: bug#39607: GRUB module all_video required to get video on 4K monitor

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 14 Feb 2020 14:30:14 -0500

Hello,

I installed Guix System on a new machine, which displays on a 4K (3840 x
2160 pixels) monitor.

Unless I go to the GRUB command prompt with 'c' at boot and type 'insmod
all_video', the video cuts early after booting a GRUB entry with 'No
suitable video mode found', or similar.

I think we should include this GRUB module in our default GRUB
package/configuration.

Maxim